org.jbpm.services.task.impl.model

## Class NotificationImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.NotificationImpl

- All Implemented Interfaces:
    Externalizable, Serializable, org.kie.internal.task.api.model.Notification
  Direct Known Subclasses:
    EmailNotificationImpl

      @Entity
      public class NotificationImpl
      extends Object
      implements org.kie.internal.task.api.model.Notification

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getBusinessAdministrators()`
    `List<org.kie.api.task.model.I18NText>` | `getDescriptions()`
    `List<org.kie.api.task.model.I18NText>` | `getDocumentation()`
    `Long` | `getId()`
    `List<org.kie.api.task.model.I18NText>` | `getNames()`
    `org.kie.internal.task.api.model.NotificationType` | `getNotificationType()`
    `int` | `getPriority()`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getRecipients()`
    `List<org.kie.api.task.model.I18NText>` | `getSubjects()`
    `int` | `hashCode()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)`
    `void` | `setDescriptions(List<org.kie.api.task.model.I18NText> descriptions)`
    `void` | `setDocumentation(List<org.kie.api.task.model.I18NText> documentation)`
    `void` | `setId(long id)`
    `void` | `setNames(List<org.kie.api.task.model.I18NText> names)`
    `void` | `setPriority(int priority)`
    `void` | `setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)`
    `void` | `setSubjects(List<org.kie.api.task.model.I18NText> subjects)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationImpl

          public NotificationImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.internal.task.api.model.Notification`

    - #### setId

          public void setId(long id)

      Specified by:
        `setId` in interface `org.kie.internal.task.api.model.Notification`

    - #### getNotificationType

          public org.kie.internal.task.api.model.NotificationType getNotificationType()

      Specified by:
        `getNotificationType` in interface `org.kie.internal.task.api.model.Notification`

    - #### getDocumentation

          public List<org.kie.api.task.model.I18NText> getDocumentation()

      Specified by:
        `getDocumentation` in interface `org.kie.internal.task.api.model.Notification`

    - #### setDocumentation

          public void setDocumentation(List<org.kie.api.task.model.I18NText> documentation)

      Specified by:
        `setDocumentation` in interface `org.kie.internal.task.api.model.Notification`

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `org.kie.internal.task.api.model.Notification`

    - #### setPriority

          public void setPriority(int priority)

      Specified by:
        `setPriority` in interface `org.kie.internal.task.api.model.Notification`

    - #### getRecipients

          public List<org.kie.api.task.model.OrganizationalEntity> getRecipients()

      Specified by:
        `getRecipients` in interface `org.kie.internal.task.api.model.Notification`

    - #### setRecipients

          public void setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)

      Specified by:
        `setRecipients` in interface `org.kie.internal.task.api.model.Notification`

    - #### getBusinessAdministrators

          public List<org.kie.api.task.model.OrganizationalEntity> getBusinessAdministrators()

      Specified by:
        `getBusinessAdministrators` in interface `org.kie.internal.task.api.model.Notification`

    - #### setBusinessAdministrators

          public void setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)

      Specified by:
        `setBusinessAdministrators` in interface `org.kie.internal.task.api.model.Notification`

    - #### getNames

          public List<org.kie.api.task.model.I18NText> getNames()

      Specified by:
        `getNames` in interface `org.kie.internal.task.api.model.Notification`

    - #### setNames

          public void setNames(List<org.kie.api.task.model.I18NText> names)

      Specified by:
        `setNames` in interface `org.kie.internal.task.api.model.Notification`

    - #### getSubjects

          public List<org.kie.api.task.model.I18NText> getSubjects()

      Specified by:
        `getSubjects` in interface `org.kie.internal.task.api.model.Notification`

    - #### setSubjects

          public void setSubjects(List<org.kie.api.task.model.I18NText> subjects)

      Specified by:
        `setSubjects` in interface `org.kie.internal.task.api.model.Notification`

    - #### getDescriptions

          public List<org.kie.api.task.model.I18NText> getDescriptions()

      Specified by:
        `getDescriptions` in interface `org.kie.internal.task.api.model.Notification`

    - #### setDescriptions

          public void setDescriptions(List<org.kie.api.task.model.I18NText> descriptions)

      Specified by:
        `setDescriptions` in interface `org.kie.internal.task.api.model.Notification`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.